Kerbal Space Program - Bug #27350

Engineer can move out of range of other kerbals in EVA construction with heavy parts causing that
part to not be able to be dropped

03/02/2021 03:00 AM - Anth12

Status: Resolved Start date: 03/02/2021
Severity: Low % Done: 100%
Assignee:

Category: Editor

Target version: 1.12.0

Version: 1.12.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

GOG KSP 1.11.1 (no mods/no DLCs)

Several things happen:

1. The Kerbal cant drop the part

2. The Kerbal cant move after trying to drop the part

3. Exiting EVA construction causes the Icon of the part to appear
4. Cant get the pause menu to pop up

5. Going to KSC and back the part is missing

How to reproduce:
Be walking when you pick up the part.

Video Evidence:
https://youtu.be/m5uUBSyQEwWM

quicksave.sfs attached that was used for video

Work Around:
Exit EVA Construction and walk back into range of other Kerbals, then turn back on.

History

#1 - 03/02/2021 03:04 AM - Anth12

Maxsimal This is the bug report for showing EJ's issue.

#2 - 03/02/2021 04:24 AM - Dunbaratu

It would seem to me that the reasonable bugfix here would be to make it so that if the total sum strength drops below the required amount for the
thing you are carrying, it auto-drops the item. Not merely that it allows you to drop it (fixing this bug), but in fact causes you to drop it (such that the
fix to this bug doesn't turn into an exploit that lets you carry the thing really far away.)

#3 - 03/02/2021 04:39 AM - Anth12

I love that Dunbaratu. That might help for another bug too...

When exiting EVA construction and the Kerbal is holding the part, the part should just drop to the ground
Dunbaratu added feedback at #27351 for further discussion

#4 - 03/02/2021 05:16 PM - Technicalfool

- Status changed from New to Confirmed

- % Done changed from 0 to 10
- Platform Linux added

Reproduced by exiting construction mode and walking out of range. Part becomes an icon that will not fit in a kerbal's inventory.
https://youtu.be/m5uUBSyQEwM
https://bugs.kerbalspaceprogram.com/issues/27351

When re-entering construction mode after walking, part is orange and cannot be dropped.

When walking back into range and re-entering construction mode, part is orange (and cannot be manipulated) until clicked, when it will be
immediately dropped.

Dunbaratu and Anth12 both have good ideas for fixing this issue.

#7 - 06/24/2021 10:30 PM - victorr

- Status changed from Confirmed to Ready to Test
- Target version set to 1.12.0

- % Done changed from 10 to 80

- Version changed from 1.11.1 to 1.12.0

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
#8 - 06/25/2021 04:50 AM - Anth12
Dunbaratu wrote:
It would seem to me that the reasonable bugfix here would be to make it so that if the total sum strength drops below the required amount

for the thing you are carrying, it auto-drops the item. Not merely that it allows you to drop it (fixing this bug), but in fact causes you to drop it
(such that the fix to this bug doesn't turn into an exploit that lets you carry the thing really far away.)

So basically when the Kerbal walks with something heavy out of range of the other Kerbals and it gets too heavy to carry it should drop onto the
ground automatically

| think that's the easiest solution to this bug, so not fixed yet

#9 - 08/05/2021 06:03 PM - Technicalfool

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Files

quicksave.sfs 426 KB 03/02/2021 Anth12
